Page MenuHomePhabricator

Investigate dropping "edit_page_tracking" database table from Wikimedia wikis after archiving it
Closed, ResolvedPublic

Description

Investigate dropping the edit_page_tracking database table from Wikimedia wikis.

Related to https://gerrit.wikimedia.org/r/87896 and [[mw:Extension:EditPageTracking]].


Version: wmf-deployment
Severity: enhancement
URL: https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FEditPageTracking/9b05ec113c4e75a5f5ae872d178737e8414bc290/edit_page_tracking.sql

This table exists on:

s1

  • enwiki

s2

  • bgwiki
  • bgwiktionary
  • cswiki
  • enwikiquote
  • enwiktionary
  • eowiki
  • fiwiki
  • idwiki
  • itwiki
  • nlwiki
  • nowiki
  • plwiki
  • ptwiki
  • svwiki
  • thwiki
  • trwiki
  • zhwiki

s3

s4

  • commonswiki

s5

  • dewiki

s6

  • frwiki
  • jawiki
  • ruwiki

s7

  • arwiki
  • cawiki
  • eswiki
  • fawiki
  • frwiktionary
  • hewiki
  • huwiki
  • kowiki
  • metawiki
  • rowiki
  • ukwiki
  • viwiki

Details

Reference
bz55385

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:11 AM
bzimport set Reference to bz55385.
bzimport added a subscriber: Unknown Object (MLST).

Sean: copying you on this ticket, but I'm not sure if it should be assigned or acted upon (yet). I copied Brandon H. and Andrew G. to try to find out for sure.

Krenair set Security to None.
Krenair added a subscriber: Krenair.
Jorm removed a subscriber: Jorm.Dec 26 2015, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 26 2015, 7:23 PM
Marostegui updated the task description. (Show Details)Nov 17 2017, 1:02 PM
Restricted Application added subscribers: jeblad, Cosine02, Base, revi. · View Herald TranscriptNov 17 2017, 1:02 PM
Marostegui moved this task from Triage to Backlog on the DBA board.Nov 17 2017, 1:03 PM
Marostegui added a subscriber: Marostegui.

@MZMcBride I assume this table is to be dropped, right? So I can update its entry on T57385 "Removable" row saying "YES" ?

@MZMcBride I assume this table is to be dropped, right? So I can update its entry on T57385 "Removable" row saying "YES" ?

Yeah.

@Nemo_bis, you mentioned at https://gerrit.wikimedia.org/r/87896 wanting to archive this data. If you still want to do this, now is the time.

Marostegui claimed this task.EditedApr 27 2018, 7:46 AM
Marostegui moved this task from Backlog to In progress on the DBA board.

I have backuped the tables and left them at: /srv/backups/tmp/T57385/T57385.tar.gz

Most of the tables are empty anyways, it only contains data on enwiki.
I have also renamed it on db1089 (enwiki) and will leave it like that for a few days before deleting it.

root@db1089[enwiki]> show tables like '%edit_page%';
+--------------------------------+
| Tables_in_enwiki (%edit_page%) |
+--------------------------------+
| T57385_edit_page_tracking      |
+--------------------------------+
1 row in set (0.00 sec)

Mentioned in SAL (#wikimedia-operations) [2018-04-30T05:47:29Z] <marostegui> Drop table edit_page_tracking from s6 - T57385

Marostegui updated the task description. (Show Details)Apr 30 2018, 5:48 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-30T05:50:43Z] <marostegui> Drop table edit_page_tracking from s4, s5 and s7 - T57385

Marostegui updated the task description. (Show Details)Apr 30 2018, 5:55 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-30T05:59:33Z] <marostegui> Drop table edit_page_tracking from s1 - T57385

Marostegui updated the task description. (Show Details)Apr 30 2018, 6:01 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-30T06:04:56Z] <marostegui> Drop table edit_page_tracking from s2 - T57385

Mentioned in SAL (#wikimedia-operations) [2018-04-30T06:11:01Z] <marostegui> Drop table edit_page_tracking from s3 - T57385

Marostegui closed this task as Resolved.Apr 30 2018, 6:19 AM
Marostegui updated the task description. (Show Details)

This has been dropped everywhere

ArielGlenn reopened this task as Open.Jul 6 2019, 6:48 AM
ArielGlenn added a subscriber: ArielGlenn.

Um, it has? I just found it on meta, though empty.

wikiadmin@10.64.48.153(metawiki)> select * from edit_page_tracking;
Empty set (0.00 sec)

Mentioned in SAL (#wikimedia-operations) [2019-07-08T05:11:43Z] <marostegui> Drop empty table edit_page_tracking from s7 - T57385

Mentioned in SAL (#wikimedia-operations) [2019-07-08T05:22:26Z] <marostegui> Drop empty table edit_page_tracking from some s3 wikis - T57385

Marostegui closed this task as Resolved.Jul 8 2019, 5:23 AM

Um, it has? I just found it on meta, though empty.

wikiadmin@10.64.48.153(metawiki)> select * from edit_page_tracking;
Empty set (0.00 sec)

Thanks for letting us know, interestingly this table was existing only on a few hosts, so I guess there was some sort of race condition when dropping the table and cloning some hosts. ie: the master didn't have the table.

I have double checked all the hosts and databases in production and it was also present on some hosts in s3 but only on codfw and on certain wikis only. I have deleted it from there too.

aawiki
aawikibooks
aawiktionary
abwiki
abwiktionary
acewiki
advisorywiki
afwiki
afwikibooks
afwikiquote
afwiktionary
akwiki
akwikibooks
akwiktionary
alswiki
alswikibooks
alswikiquote
alswiktionary
amwiki
amwikiquote
amwiktionary
angwiki
angwikibooks
angwikiquote
angwikisource
angwiktionary
anwiki
anwiktionary
arbcom_dewiki
arbcom_enwiki
arbcom_fiwiki
arbcom_nlwiki
arcwiki
arwikibooks
arwikimedia
arwikinews
arwikiquote
arwikisource
arwikiversity
arwiktionary
arzwiki
astwiki
astwikibooks
astwikiquote
astwiktionary
aswiki
aswikibooks
aswiktionary
auditcomwiki
avwiki
avwiktionary
aywiki
aywikibooks
aywiktionary
azwiki
azwikibooks
azwikiquote
azwikisource
azwiktionary
barwiki
bat_smgwiki
bawiki
bawikibooks
bclwiki
be_x_oldwiki
betawikiversity
bewiki
bewikibooks
bewikiquote
bewiktionary
bgwikibooks
bgwikinews
bgwikiquote
bgwikisource
bhwiki
bhwiktionary
biwiki
biwikibooks
biwiktionary
bjnwiki
bmwiki
bmwikibooks
bmwikiquote
bmwiktionary
bnwiki
bnwikibooks
bnwikisource
bnwiktionary
boardgovcomwiki
boardwiki
bowiki
bowikibooks
bowiktionary
bpywiki
brwiki
brwikimedia
brwikiquote
brwikisource
brwiktionary
bswiki
bswikibooks
bswikinews
bswikiquote
bswikisource
bswiktionary
bugwiki
bxrwiki
cawikibooks
cawikinews
cawikiquote
cawikisource
cawiktionary
cbk_zamwiki
cdowiki
cewiki
chairwiki
chapcomwiki
checkuserwiki
chowiki
chrwiki
chrwiktionary
chwiki
chwikibooks
chwikimedia
chwiktionary
chywiki
ckbwiki
collabwiki
cowiki
cowikibooks
cowikimedia
cowikiquote
cowiktionary
crhwiki
crwiki
crwikiquote
crwiktionary
csbwiki
csbwiktionary
cswikibooks
cswikinews